package com.mortals.xhx.module.task.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:TaskProcess
* date: 2021-8-5 0:41:48
*/
public class TaskProcessQuery extends TaskProcessEntity{
    private static final long serialVersionUID = 1628095308109L;

    //微信openID
    private String openId;

    /** 开始 ID,主键，自增长 */
    private Long idStart;

    /** 结束 ID,主键，自增长 */
    private Long idEnd;

    /** 增加 ID,主键，自增长 */
    private Long idIncrement;

    /** ID,主键，自增长 */
    private List <Long> idList;


    /** 流程编号 */
    private List<String> procInsIdList;

    /** 流程名称 */
    private List<String> procDefNameList;

    /** 流程分类 */
    private List<String> categoryList;

    /** 开始 流程状态 */
    private Integer flowStatusStart;

    /** 结束 流程状态 */
    private Integer flowStatusEnd;

    /** 增加 流程状态 */
    private Integer flowStatusIncrement;

    /** 流程状态 */
    private List <Integer> flowStatusList;

    /** 当前节点 */
    private List<String> taskNameList;

    /** 流程版本 */
    private List<String> procDefVersionList;

    /** 办理人 */
    private List<String> assigneeNameList;
    /** 开始 提交时间 */
    private String createTimeStart;

    /** 结束 提交时间 */
    private String createTimeEnd;
    /** 开始 任务完成时间 */
    private String finishTimeStart;

    /** 结束 任务完成时间 */
    private String finishTimeEnd;
    /** 开始 创建人ID */
    private Long createUserIdStart;

    /** 结束 创建人ID */
    private Long createUserIdEnd;

    /** 增加 创建人ID */
    private Long createUserIdIncrement;

    /** 创建人ID */
    private List <Long> createUserIdList;


    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<TaskProcessQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<TaskProcessQuery> andConditionList;


    public TaskProcessQuery(){
    }

    /**
    * 获取 开始 ID,主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 ID,主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 ID,主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 ID,主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 ID,主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 ID,主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 ID,主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 ID,主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 流程编号
    * @return procInsIdList
    */
    public List<String> getProcInsIdList(){
        return this.procInsIdList;
    }

    /**
    * 设置 流程编号
    * @param procInsIdList
    */
    public void setProcInsIdList(List<String> procInsIdList){
        this.procInsIdList = procInsIdList;
    }
    /**
    * 获取 流程名称
    * @return procDefNameList
    */
    public List<String> getProcDefNameList(){
        return this.procDefNameList;
    }

    /**
    * 设置 流程名称
    * @param procDefNameList
    */
    public void setProcDefNameList(List<String> procDefNameList){
        this.procDefNameList = procDefNameList;
    }
    /**
    * 获取 流程分类
    * @return categoryList
    */
    public List<String> getCategoryList(){
        return this.categoryList;
    }

    /**
    * 设置 流程分类
    * @param categoryList
    */
    public void setCategoryList(List<String> categoryList){
        this.categoryList = categoryList;
    }
    /**
    * 获取 开始 流程状态
    * @return flowStatusStart
    */
    public Integer getFlowStatusStart(){
        return this.flowStatusStart;
    }

    /**
    * 设置 开始 流程状态
    * @param flowStatusStart
    */
    public void setFlowStatusStart(Integer flowStatusStart){
        this.flowStatusStart = flowStatusStart;
    }

    /**
    * 获取 结束 流程状态
    * @return flowStatusEnd
    */
    public Integer getFlowStatusEnd(){
        return this.flowStatusEnd;
    }

    /**
    * 设置 结束 流程状态
    * @param flowStatusEnd
    */
    public void setFlowStatusEnd(Integer flowStatusEnd){
        this.flowStatusEnd = flowStatusEnd;
    }

    /**
    * 获取 增加 流程状态
    * @return flowStatusIncrement
    */
    public Integer getFlowStatusIncrement(){
        return this.flowStatusIncrement;
    }

    /**
    * 设置 增加 流程状态
    * @param flowStatusIncrement
    */
    public void setFlowStatusIncrement(Integer flowStatusIncrement){
        this.flowStatusIncrement = flowStatusIncrement;
    }

    /**
    * 获取 流程状态
    * @return flowStatusList
    */
    public List<Integer> getFlowStatusList(){
        return this.flowStatusList;
    }

    /**
    * 设置 流程状态
    * @param flowStatusList
    */
    public void setFlowStatusList(List<Integer> flowStatusList){
        this.flowStatusList = flowStatusList;
    }
    /**
    * 获取 当前节点
    * @return taskNameList
    */
    public List<String> getTaskNameList(){
        return this.taskNameList;
    }

    /**
    * 设置 当前节点
    * @param taskNameList
    */
    public void setTaskNameList(List<String> taskNameList){
        this.taskNameList = taskNameList;
    }
    /**
    * 获取 流程版本
    * @return procDefVersionList
    */
    public List<String> getProcDefVersionList(){
        return this.procDefVersionList;
    }

    /**
    * 设置 流程版本
    * @param procDefVersionList
    */
    public void setProcDefVersionList(List<String> procDefVersionList){
        this.procDefVersionList = procDefVersionList;
    }
    /**
    * 获取 办理人
    * @return assigneeNameList
    */
    public List<String> getAssigneeNameList(){
        return this.assigneeNameList;
    }

    /**
    * 设置 办理人
    * @param assigneeNameList
    */
    public void setAssigneeNameList(List<String> assigneeNameList){
        this.assigneeNameList = assigneeNameList;
    }
    /**
    * 获取 开始 提交时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 提交时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 提交时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 提交时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 开始 任务完成时间
    * @return finishTimeStart
    */
    public String getFinishTimeStart(){
    return this.finishTimeStart;
    }

    /**
    * 设置 开始 任务完成时间
    * @param finishTimeStart
    */
    public void setFinishTimeStart(String finishTimeStart){
    this.finishTimeStart = finishTimeStart;
    }

    /**
    * 获取 结束 任务完成时间
    * @return finishTimeEnd
    */
    public String getFinishTimeEnd(){
    return this.finishTimeEnd;
    }

    /**
    * 设置 结束 任务完成时间
    * @param finishTimeEnd
    */
    public void setFinishTimeEnd(String finishTimeEnd){
    this.finishTimeEnd = finishTimeEnd;
    }
    /**
    * 获取 开始 创建人ID
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
    return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人ID
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
    this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人ID
    * @return createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
    return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人ID
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
    this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人ID
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
    return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人ID
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
    this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人ID
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
    return this.createUserIdList;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<TaskProcessQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<TaskProcessQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<TaskProcessQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<TaskProcessQuery> andConditionList){
        this.andConditionList = andConditionList;
    }


    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }
}